# Flask-Wiz: Simplified Flask Setup

Flask-Wiz is a setup library for Flask that simplifies the process of starting a new Flask project. It provides a boilerplate setup for Flask applications, including database integration and directory structure for templates and static files.

## Key Features:

- **Flask Boilerplate**: Get started quickly with a clean and minimal Flask app structure.
- **Database Setup**: Choose from popular databases including MongoDB, SQLite, MySQL, and PostgreSQL for seamless integration with your Flask application.
- **Directory Structure**: Automatically create directories for templates and static files, making it easy to organize your project assets.

## How to Use:

1. **Installation**: Install Flask-Wiz using pip:

``` Terminal 

pip install flask-wiz

```


2. **Create a New Flask Project**: Use the following command to create a new Flask project with Flask-Wiz:

```Terminal
flask-wiz new

Project Name: my_project

Do you need a frontend framework? [y/N]:

Select a frontend framework:
1: React
2: VueJs
3: NextJs
4: Angular
Enter frontend framework: 

Database (MongoDB/SQLite/MySQL/PostgreSQL):
```

```Terminal
<project_name>/

client
│
├── src/
├── vite.config.js/
├── .gitignore
└── .env


server
│
├── templates/
├── static/
├── .gitignore
└── .env
```

3. **Clone From Github**: Fetch your projects from github and clone to your local machine
```bash
flask-wiz get your-github-username

enter your project-name:
```


4. **Follow the Prompts**: Flask-Wiz will guide you through the setup process, including selecting your desired database and configuring directory structure.

5. **Start Developing**: Once the setup is complete, you're ready to start developing your Flask application!

Flask-Wiz simplifies the setup process for Flask projects, allowing you to focus on building your application without worrying about initial configuration.



## Need More Assistance

- Have a question or need assistance? Raise an issue on our [Github Issues](https://github.com/krishvsoni/flask-wiz/issues)
